package cn.com.qmth.stmms.common.enums;

public enum HistoryStatus {

    WAITING("待处理", 0), MARKED("已给分", 1), BACK("已打回", 2);

    private String name;

    private int value;

    private HistoryStatus(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static HistoryStatus findByValue(int value) {
        for (HistoryStatus c : HistoryStatus.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
